
Ruby - Feature #6559

Set DoNotReverseLookup to true in Webrick

06/08/2012 10:14 PM - rosenfeld (Rodrigo Rosenfeld Rosas)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version:    

Description

I often find it annoying that it is too slow to test my web applications from VirtualBox because Webrick will try to do reverse lookup

and I have set the names directly in the hosts file, so a reverse lookup will always time out.

Also I can't find a simple way for setting this behavior in a global way for all my rubies installed.

Could we please try to improve this behavior? I'm certainly not the first one to complain about this...

Related issues:

Related to Ruby - Bug #13007: Webbrick takes 5s to start when machine name lo... Closed

Associated revisions

Revision bfe6bd0f72a58196969ad7dbdf409fe4573c5eea - 08/12/2016 12:08 PM - naruse (Yui NARUSE)

lib/webrick/config.rb (WEBrick::Config::General):

disable reverse lookup by default. [ruby-core:45514] [Feature #6559]

Socket.do_not_reverse_lookup is true by default but WEBrick

overwrote it.

patch by Eric Hodel [ruby-core:45527]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55881 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision bfe6bd0f - 08/12/2016 12:08 PM - naruse (Yui NARUSE)

lib/webrick/config.rb (WEBrick::Config::General):

disable reverse lookup by default. [ruby-core:45514] [Feature #6559]

Socket.do_not_reverse_lookup is true by default but WEBrick

overwrote it.

patch by Eric Hodel [ruby-core:45527]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55881 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/09/2012 08:42 AM - drbrain (Eric Hodel)

- File webrick.do_not_reverse_lookup.patch added

- Status changed from Open to Assigned

- Assignee set to nahi (Hiroshi Nakamura)

- Target version changed from 1.9.3 to 2.0.0

Here is a patch to disable reverse lookup by default.

I don't think this can be backported to ruby 1.9.3 since it is a behavior change.

#2 - 11/20/2012 11:00 PM - mame (Yusuke Endoh)

- Target version changed from 2.0.0 to 2.6

#3 - 06/26/2014 02:19 PM - rosenfeld (Rodrigo Rosenfeld Rosas)

Would this be possible to be included in 2.2.0?

#4 - 08/09/2016 05:35 AM - naruse (Yui NARUSE)

- Assignee changed from nahi (Hiroshi Nakamura) to naruse (Yui NARUSE)
#5 - 08/12/2016 12:08 PM - naruse (Yui NARUSE)

- Status changed from Assigned to Closed

Applied in changeset r55881.

lib/webrick/config.rb (WEBrick::Config::General):

disable reverse lookup by default. [ruby-core:45514] [Feature #6559]

Socket.do_not_reverse_lookup is true by default but WEBrick

overwrote it.

patch by Eric Hodel [ruby-core:45527]

#6 - 12/06/2016 01:15 AM - shyouhei (Shyouhei Urabe)

- Related to Bug #13007: Webbrick takes 5s to start when machine name looks like a real domain added

Files

webrick.do_not_reverse_lookup.patch 432 Bytes 06/09/2012 drbrain (Eric Hodel)
